<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
>

<!-- 
Test attributeGroup declaration: self referencing, name="test", 
has child attributeGroup that also has, parent is attributeGroup,  ref='test'
-->

<xsd:complexType name='test'>
	<xsd:attributeGroup ref="test"/>
</xsd:complexType>

<xsd:attributeGroup name="test">
	<xsd:attributeGroup ref="test"/>
	<xsd:attribute name="foo" type="xsd:int"/>
	<xsd:attribute name="bar"/>
</xsd:attributeGroup>

</xsd:schema>
